#!/usr/bin/perl

# Script which adds a number to each token in an article
# (before running linkpeople)

my $cont = 0;
while (my $line = <STDIN>) {
    chomp ($line);

    if ($line !~ /^#(begin|end)/) {
	if ($line !~ /^$/) {
	    $cont++;
	    print "$cont $line\n";
	} else {
	    $cont = 0;
	    print "$line\n";
	}
    } else {
	print "$line\n";
    }
}
